from shapely.geometry import Point, shape
import logging

# set up logging
logging.basicConfig(level=logging.WARNING)

# Function for fetching quake regions from detail pages
def check_point_in_poly(lat, lng,poly):
    quake_point = Point(float(lng),float(lat))
    logging.info(quake_point)
    # Loop through regions and test
    for zone in poly['features']:
        try:
            zone_poly = shape(zone['geometry'])
            if zone_poly.contains(quake_point):
                # We found it! Set zone and stop the loop
                logging.info('Found in zone')
                return zone
                break
        except Exception as e:
            logging.warning(f'Error processing zone: {e}')
    # No match found
    return False